# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Snappy Ecosystem Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Helpers to retrieve store configuration data like: credentials, urls, etc"""

import os

KEY_ENVIRON_STORE_LOGIN_EMAIL = 'UBUNTU_STORE_LOGIN_EMAIL'
KEY_ENVIRON_STORE_LOGIN_PASSWORD = 'UBUNTU_STORE_LOGIN_PASSWORD'
URL_WEB_STORE_PRODUCTION = 'https://myapps.developer.ubuntu.com/'
URL_WEB_STORE_STAGING = 'https://myapps.developer.staging.ubuntu.com/'


def get_store_credentials():
    """login credentials exported by shell environment"""
    return os.environ['UBUNTU_STORE_LOGIN_EMAIL'], \
        os.environ['UBUNTU_STORE_LOGIN_PASSWORD']


def is_staging():
    """Return False if environment variable PROD is exported"""
    return os.environ.get('STAGING', "1") == "1"


def get_store_web_url():
    """This will return Ubuntu Store web url from staging server,
    if optional staging argument is false then it will return
    production server url """
    return URL_WEB_STORE_STAGING if is_staging() else URL_WEB_STORE_PRODUCTION
