# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Snappy Ecosystem Tests
# Copyright (C) 2017 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""Test for Login to the Store via Web Interface, snapcraft and snapd"""

from snappy_ecosystem_tests.utils.snapcraft import Snapcraft
from snappy_ecosystem_tests.helpers.ubuntu_store_web_test_base import UbuntuStoreWebTestsBase


class StoreLoginTestCase(UbuntuStoreWebTestsBase):
    def setUp(self):
        super().setUp()

    def test_login_logout(self):
        """Test login and logout functionality of snapcraft, web interface
        and snapd."""
        try:
            sc = Snapcraft()
            sc.login()
            sc.logout()
        except ValueError as err:
            self.fail(msg=err)

        self.login()
        self.assertEqual(self.driver.title, "Your packages", "Failed to login")
        # TODO - fragile as there is no unique way to identify the dropdown arrow
        self.logout()
        self.assertEqual(
            self.driver.title, "Sign in to see your packages",
            "Failed to logout")
